Pre-General Availability: 2026-02-23

Get Genesis Configuration

get

/v1/instance/genesisdata

Returns the genesis.json content for the current instance. Access is restricted to users with the founder role.

Request

Header Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Genesis configuration
Body ()
Root Schema : schema
Type: object
Additional Properties Allowed: true
Examples

403 Response

Forbidden
Body ()
Root Schema : ErrorResponse
Type: object
Show Source
Nested Schema : DecodedError
Type: object
Show Source
Nested Schema : customError
Type: object
Decoded custom error as defined in the contract ABI
Show Source
Nested Schema : standardError
Type: object
Decoded standard Error(string) revert
Show Source
Nested Schema : standardPanic
Type: object
Decoded Panic(uint256) revert
Show Source
Nested Schema : args
Type: array
Show Source
Nested Schema : DecodedArgument
Type: object
Show Source
  • Only for event parameters
  • May be empty if unknown
  • Canonical ABI type (for example, uint256, address, (uint256,address), uint256[])
  • Normalized JSON value (address lowercase hex, bigints as decimal strings, bytes as 0x-hex)

404 Response

Resource not found
Body ()
Root Schema : ErrorResponse
Type: object
Show Source
Nested Schema : DecodedError
Type: object
Show Source
Nested Schema : customError
Type: object
Decoded custom error as defined in the contract ABI
Show Source
Nested Schema : standardError
Type: object
Decoded standard Error(string) revert
Show Source
Nested Schema : standardPanic
Type: object
Decoded Panic(uint256) revert
Show Source
Nested Schema : args
Type: array
Show Source
Nested Schema : DecodedArgument
Type: object
Show Source
  • Only for event parameters
  • May be empty if unknown
  • Canonical ABI type (for example, uint256, address, (uint256,address), uint256[])
  • Normalized JSON value (address lowercase hex, bigints as decimal strings, bytes as 0x-hex)

500 Response

Internal error
Body ()
Root Schema : ErrorResponse
Type: object
Show Source
Nested Schema : DecodedError
Type: object
Show Source
Nested Schema : customError
Type: object
Decoded custom error as defined in the contract ABI
Show Source
Nested Schema : standardError
Type: object
Decoded standard Error(string) revert
Show Source
Nested Schema : standardPanic
Type: object
Decoded Panic(uint256) revert
Show Source
Nested Schema : args
Type: array
Show Source
Nested Schema : DecodedArgument
Type: object
Show Source
  • Only for event parameters
  • May be empty if unknown
  • Canonical ABI type (for example, uint256, address, (uint256,address), uint256[])
  • Normalized JSON value (address lowercase hex, bigints as decimal strings, bytes as 0x-hex)

502 Response

Upstream or configuration read error
Body ()
Root Schema : ErrorResponse
Type: object
Show Source
Nested Schema : DecodedError
Type: object
Show Source
Nested Schema : customError
Type: object
Decoded custom error as defined in the contract ABI
Show Source
Nested Schema : standardError
Type: object
Decoded standard Error(string) revert
Show Source
Nested Schema : standardPanic
Type: object
Decoded Panic(uint256) revert
Show Source
Nested Schema : args
Type: array
Show Source
Nested Schema : DecodedArgument
Type: object
Show Source
  • Only for event parameters
  • May be empty if unknown
  • Canonical ABI type (for example, uint256, address, (uint256,address), uint256[])
  • Normalized JSON value (address lowercase hex, bigints as decimal strings, bytes as 0x-hex)
Back to Top